Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.24
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.pkcs
Class ContentInfo

    java.lang.Object
      |
      +--org.bouncycastle.asn1.pkcs.ContentInfo

All Implemented Interfaces:
  DEREncodable, PKCSObjectIdentifiers

public class ContentInfo
extends java.lang.Object
implements DEREncodable, PKCSObjectIdentifiers

Field Summary

Fields inherited from interface org.bouncycastle.asn1.pkcs.PKCSObjectIdentifiers
`bagtypes, canNotDecryptAny, certBag, crlBag, data, des_EDE3_CBC, dhKeyAgreement, digestedData, encryptedData, encryptionAlgorithm, envelopedData, id_aa, id_aa_encrypKeyPref, id_alg_PWRI_KEK, id_ct_compressedData, id_PBES2, id_PBKDF2, keyBag, md2, md2WithRSAEncryption, md4WithRSAEncryption, md5, md5WithRSAEncryption, pkcs_1, pkcs_12, pkcs_3, pkcs_5, pkcs_7, pkcs_9, pkcs_9_at_challengePassword, pkcs_9_at_contentType, pkcs_9_at_counterSignature, pkcs_9_at_emailAddress, pkcs_9_at_extendedCertificateAttributes, pkcs_9_at_extensionRequest, pkcs_9_at_friendlyName, pkcs_9_at_localKeyId, pkcs_9_at_messageDigest, pkcs_9_at_signingDescription, pkcs_9_at_signingTime, pkcs_9_at_smimeCapabilities, pkcs_9_at_unstructuredAddress, pkcs_9_at_unstructuredName, pkcs8ShroudedKeyBag, preferSignedData, RC2_CBC, rsaEncryption, safeContentsBag, secretBag, sha1WithRSAEncryption, sha256WithRSAEncryption, sha384WithRSAEncryption, sha512WithRSAEncryption, signedAndEnvelopedData, signedData, sMIMECapabilitiesVersions, srsaOAEPEncryptionSET, x509certType`

Constructor Summary
`ContentInfo(ASN1Sequence seq)`
`ContentInfo(DERObjectIdentifier contentType, DEREncodable content)`

Method Summary
`DEREncodable` | `getContent()`
`DERObjectIdentifier` | `getContentType()`
`DERObject` | `getDERObject()` Produce an object suitable for an ASN1OutputStream.
`static ContentInfo` | `getInstance(java.lang.Object obj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentInfo

    public ContentInfo(ASN1Sequence seq)

### ContentInfo

    public ContentInfo(DERObjectIdentifier contentType,
                       DEREncodable content)

Method Detail

### getInstance

    public static ContentInfo getInstance(java.lang.Object obj)

### getContentType

    public DERObjectIdentifier getContentType()

### getContent

    public DEREncodable getContent()

### getDERObject

    public DERObject getDERObject()

  Produce an object suitable for an ASN1OutputStream.

       ContentInfo ::= SEQUENCE {
                contentType ContentType,
                content
                [0] EXPLICIT ANY DEFINED BY contentType OPTIONAL }

  Specified by:
    `getDERObject` in interface `DEREncodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.24
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD